﻿Public Class Form1
    Private m_Xwid As Integer = 8
    Private Const TAB_MARGIN As Integer = 3
    'API to reduce RTB flicker when colorizing words
    Private Declare Function SendMessage Lib "User32.dll" Alias "SendMessageA" (ByVal hwnd As IntPtr, ByVal wMsg As Integer, ByVal wParam As Integer, ByVal lParam As Integer) As Integer
    Private Const WM_SETREDRAW As Integer = &HB
    ' flag to recolor all text
    Private ReColor As Boolean
    ' holds all words to be colored
    Private AllWords() As List(Of String)
    Private Sub RTB_Color(ByVal rtb As RichTextBox)

        '// Color text in RTB //
        Dim WordList As New List(Of String)
        Dim x, start, wrd As Integer
        Dim textColor As Color

        Dim BlueWords As New List(Of String)
        BlueWords.Add("Blue")
        BlueWords.Add("charset=")
        BlueWords.Add("!doctype html")
        BlueWords.Add("center")
        BlueWords.Add("right")
        BlueWords.Add("left")
        BlueWords.Add("#")
        BlueWords.Add("table")
        BlueWords.Add("/table")
        BlueWords.Add("tr")
        BlueWords.Add("/tr")
        BlueWords.Add("td")
        BlueWords.Add("/td")
        BlueWords.Add("button")
        BlueWords.Add("text/css")
        BlueWords.Add("text/javascript")
        BlueWords.Add("text")

        'esto de aca ya es css

        BlueWords.Add("font-size")
        BlueWords.Add("font-family")
        BlueWords.Add("font-weight")
        BlueWords.Add("color")
        BlueWords.Add("background")
        BlueWords.Add("background-image")
        BlueWords.Add("background-color")
        BlueWords.Add("background-size")
        BlueWords.Add("background-position")
        BlueWords.Add("background-attachment")
        BlueWords.Add("width")
        BlueWords.Add("height")
        BlueWords.Add("padding-right")
        BlueWords.Add("padding-left")
        BlueWords.Add("padding-top")
        BlueWords.Add("padding-bottom")
        BlueWords.Add("padding")
        BlueWords.Add("margin-right")
        BlueWords.Add("margin-left")
        BlueWords.Add("margin-top")
        BlueWords.Add("margin-bottom")
        BlueWords.Add("margin")
        BlueWords.Add("border-right")
        BlueWords.Add("border-left")
        BlueWords.Add("border-top")
        BlueWords.Add("border-bottom")
        BlueWords.Add("border")
        BlueWords.Add("transition")
        BlueWords.Add("-webkit-")
        BlueWords.Add("-moz-")
        BlueWords.Add("-o-")
        BlueWords.Add("-ms-")
        BlueWords.Add("left")
        BlueWords.Add("right")
        BlueWords.Add("top")
        BlueWords.Add("bottom")
        BlueWords.Add("transform")
        BlueWords.Add("-rotate")
        BlueWords.Add("box-shadow")
        BlueWords.Add("overflow")
        BlueWords.Add("z-index")
        BlueWords.Add("outline")
        BlueWords.Add("max-")
        BlueWords.Add("min-")
        BlueWords.Add("position")
        BlueWords.Add("display")
        BlueWords.Add("text-decoration")
        BlueWords.Add("line-")
        BlueWords.Add("opacity")
        BlueWords.Add("src")


        Dim RedWords As New List(Of String)
        RedWords.Add("Red")
        RedWords.Add("HTML")
        RedWords.Add("/HTML")
        RedWords.Add("HEAD")
        RedWords.Add("/HEAD")
        RedWords.Add("title")
        RedWords.Add("/title")
        RedWords.Add("div")
        RedWords.Add("/div")
        RedWords.Add("h1")
        RedWords.Add("/h1")
        RedWords.Add("html")
        RedWords.Add("/html")
        RedWords.Add("body")
        RedWords.Add("/body")
        RedWords.Add("head")
        RedWords.Add("/head")
        RedWords.Add("BODY")
        RedWords.Add("/BODY")
        RedWords.Add("TITLE")
        RedWords.Add("/TITLE")
        RedWords.Add("DIV")
        RedWords.Add("/DIV")
        RedWords.Add("h2")
        RedWords.Add("/h2")
        RedWords.Add("h3")
        RedWords.Add("/h3")
        RedWords.Add("h4")
        RedWords.Add("/h4")
        RedWords.Add("h5")
        RedWords.Add("/h5")
        RedWords.Add("h6")
        RedWords.Add("/h6")
        RedWords.Add("br")
        RedWords.Add("id=")
        RedWords.Add("section")
        RedWords.Add("/section")
        RedWords.Add("class=")
        RedWords.Add("<meta")
        RedWords.Add("<")
        RedWords.Add("<section")
        RedWords.Add("<p")
        RedWords.Add("/p")
        RedWords.Add("align=")
        RedWords.Add("hgroup")
        RedWords.Add("/hgroup")
        RedWords.Add("input type=")
        RedWords.Add("style type=")
        RedWords.Add("script type=")
        RedWords.Add("textarea")
        RedWords.Add("/textarea")
        RedWords.Add("/input")
        RedWords.Add("hr")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")
        RedWords.Add("")

        ReDim AllWords(1) ' number of word lists loaded (zero based so 1 = 2 lists!)
        ' copy word lists to array list
        AllWords(0) = BlueWords
        AllWords(1) = RedWords


        For Each item In BlueWords

            textColor = Color.Blue ' the color for these words
            ' find and color words ( MatchCase )
            For x = 1 To item.Count - 1 ' start at 1! , 0 = the color to use!
                Do Until wrd = -1
                    wrd = rtb.Find(item, start, RichTextBoxFinds.MatchCase)
                    If wrd <> -1 Then
                        rtb.SelectionColor = textColor
                        start = wrd + 1
                    End If
                Loop
                wrd = 0
                start = 0
            Next

        Next


        For Each item In RedWords

            textColor = Color.Purple ' the color for these words
            ' find and color words ( MatchCase )
            For x = 1 To item.Count - 1 ' start at 1! , 0 = the color to use!
                Do Until wrd = -1
                    wrd = rtb.Find(item, start, RichTextBoxFinds.MatchCase)
                    If wrd <> -1 Then
                        rtb.SelectionColor = textColor
                        start = wrd + 1
                    End If
                Loop
                wrd = 0
                start = 0
            Next

        Next

    End Sub
    Private Sub AbrirToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AbrirToolStripMenuItem.Click
        If TabPage1.Focus = True Then
            Dim Open As New OpenFileDialog()
            Dim myStreamReader As System.IO.StreamReader
            Open.Filter = "Html [*.html*]|*.html*|all files(*.*)|*.*"
            Open.CheckPathExists = True
            Open.Title = "Abrir Archivo"
            Open.ShowDialog(Me)
            Try
                Open.OpenFile()
                myStreamReader = System.IO.File.OpenText(Open.FileName)
                RichTextBox1.Text = myStreamReader.ReadToEnd()
            Catch ex As Exception
            End Try
        End If
        If TabPage2.Focus = True Then
            Dim Open As New OpenFileDialog()
            Dim myStreamReader As System.IO.StreamReader
            Open.Filter = "Style Sheets [*.css*]|*.css*|all files(*.*)|*.*"
            Open.CheckPathExists = True
            Open.Title = "Abrir Archivo"
            Open.ShowDialog(Me)
            Try
                Open.OpenFile()
                myStreamReader = System.IO.File.OpenText(Open.FileName)
                RichTextBox1.Text = myStreamReader.ReadToEnd()
            Catch ex As Exception
            End Try
        End If
    End Sub

    Private Sub CSSToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub NuevaHojaDeEstiloCSSToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Dim Open As New OpenFileDialog()
        Dim myStreamReader As System.IO.StreamReader
        Open.Filter = "Style Sheets [*.css*]|*.html*|all files(*.*)|*.*"
        Open.CheckPathExists = True
        Open.Title = "Abrir Archivo"
        Open.ShowDialog(Me)
        Try
            Open.OpenFile()
            myStreamReader = System.IO.File.OpenText(Open.FileName)
            RichTextBox1.Text = myStreamReader.ReadToEnd()
        Catch ex As Exception
        End Try
    End Sub

    Private Sub NuevaHojaEnBlancoToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        RichTextBox1.Clear()
        RichTextBox1.Text = ""
    End Sub

    Private Sub GuardarComoToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GuardarComoToolStripMenuItem.Click
        If TabPage1.Focus = True Then
            Dim save As New SaveFileDialog()
            Dim myStreamwriter As System.IO.StreamWriter
            save.Filter = "Html (*.html)|*.Html|Html(*.html*)|*.html|php(*.php*)|*.php*|All files(*.*)|*.*"
            save.CheckPathExists = True
            save.Title = "Guardar Como"
            save.ShowDialog(Me)
            Try
                myStreamwriter = System.IO.File.AppendText(save.FileName)
                myStreamwriter.Write(RichTextBox1.Text)
                myStreamwriter.Flush()
            Catch ex As Exception
            End Try
        End If
        If TabPage2.Focus = True Then
            Dim save As New SaveFileDialog()
            Dim myStreamwriter As System.IO.StreamWriter
            save.Filter = "Hojas de estilo CSS(*.css*)|*.css*|All files(*.*)|*.*"
            save.CheckPathExists = True
            save.Title = "Guardar Como"
            save.ShowDialog(Me)
            Try
                myStreamwriter = System.IO.File.AppendText(save.FileName)
                myStreamwriter.Write(RichTextBox3.Text)
                myStreamwriter.Flush()
            Catch ex As Exception
            End Try
        End If
    End Sub

    Private Sub NuevaHojaDeEstilosCSSToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Form2.Show()
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Form2.Show()
    End Sub

    Private Sub SalirToolStripMenuItem1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SalirToolStripMenuItem1.Click
        End
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        splash.Close()
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' save Selection Start
        Dim CurrentSelStart As Integer = RichTextBox1.SelectionStart

        ' lock RTB drawing (no flicker while coloring!)
        Call SendMessage(RichTextBox1.Handle, WM_SETREDRAW, 0, 0)

        If ReColor = True Then ' reset all - default colors
            ReColor = False
            RichTextBox1.SelectionStart = 0
            RichTextBox1.SelectionLength = RichTextBox1.TextLength
            RichTextBox1.SelectionColor = RichTextBox1.ForeColor
            RichTextBox1.SelectionBackColor = RichTextBox1.BackColor
        End If

        ' color words in RTB
        RTB_Color(RichTextBox1)

        ' restore SelectionStart/Length
        RichTextBox1.SelectionLength = 0
        RichTextBox1.SelectionStart = CurrentSelStart
        ' restore default colors
        RichTextBox1.SelectionColor = RichTextBox1.ForeColor
        RichTextBox1.SelectionBackColor = RichTextBox1.BackColor

        ' unlock/redraw RTB
        SendMessage(RichTextBox1.Handle, WM_SETREDRAW, 1, 0)
        RichTextBox1.Invalidate()

        ' save Selection Start
        Dim CurrentSelStart2 As Integer = RichTextBox2.SelectionStart

        ' lock RTB drawing (no flicker while coloring!)
        Call SendMessage(RichTextBox2.Handle, WM_SETREDRAW, 0, 0)

        If ReColor = True Then ' reset all - default colors
            ReColor = False
            RichTextBox2.SelectionStart = 0
            RichTextBox2.SelectionLength = RichTextBox2.TextLength
            RichTextBox2.SelectionColor = RichTextBox2.ForeColor
            RichTextBox2.SelectionBackColor = RichTextBox2.BackColor
        End If

        ' color words in RTB
        RTB_Color(RichTextBox2)

        ' restore SelectionStart/Length
        RichTextBox2.SelectionLength = 0
        RichTextBox2.SelectionStart = CurrentSelStart2
        ' restore default colors
        RichTextBox2.SelectionColor = RichTextBox2.ForeColor
        RichTextBox2.SelectionBackColor = RichTextBox2.BackColor

        ' unlock/redraw RTB
        SendMessage(RichTextBox2.Handle, WM_SETREDRAW, 1, 0)
        RichTextBox2.Invalidate()


        Me.Text = "Creative web design - " + ToolStripTextBox2.Text
        RichTextBox2.Text = RichTextBox1.Text
        Me.Text = ToolStripTextBox2.Text
        welcome.Show()
        If WebBrowser1.DocumentText.Contains("1.0.2.0.3") Then
            Label1.Visible = False
        Else
            MsgBox("¡1 Actualización disponible!", MsgBoxStyle.Information)
        End If
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        RichTextBox2.Text = RichTextBox1.Text
    End Sub

    Private Sub SplitContainer1_Panel2_Paint(ByVal sender As System.Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles SplitContainer1.Panel2.Paint

    End Sub

    Private Sub NuevoToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles NuevoToolStripMenuItem.Click
        Dim creativity As New Form1
        creativity.Show()
    End Sub

    Private Sub GuardarToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub DescargarActualizacionesToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DescargarActualizacionesToolStripMenuItem.Click
        actualizar.Show()
    End Sub

    Private Sub Timer2_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer2.Tick
        If WebBrowser1.DocumentText.Contains("Navegación cacelada") Then
            WebBrowser1.DocumentText = RichTextBox4.Text
        End If
        If WebBrowser1.DocumentText.Contains("Internet Explorer no puede") Then
            WebBrowser1.DocumentText = RichTextBox4.Text
        End If
        If WebBrowser1.DocumentText.Contains("No se puede mostrar esta página") Then
            WebBrowser1.DocumentText = RichTextBox4.Text
        End If
        If WebBrowser1.DocumentTitle.Contains("Activación de Servicios") Then
            WebBrowser1.DocumentText = RichTextBox4.Text
        End If
        If WebBrowser1.DocumentText.Contains("Se canceló la navegación a la página web") Then
            WebBrowser1.DocumentText = RichTextBox4.Text
        End If
        If WebBrowser1.DocumentText.Contains("Este programa no puede") Then
            WebBrowser1.DocumentText = RichTextBox4.Text
        End If
    End Sub

    Private Sub RichTextBox1_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles RichTextBox1.KeyDown
        If e.KeyCode = Keys.Tab Then
            RichTextBox1.Text = RichTextBox1.Text + "    "
        End If
    End Sub

    Private Sub RichTextBox1_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RichTextBox1.TextChanged
        ' save Selection Start
        Dim CurrentSelStart As Integer = RichTextBox1.SelectionStart

        ' lock RTB drawing (no flicker while coloring!)
        Call SendMessage(RichTextBox1.Handle, WM_SETREDRAW, 0, 0)

        If ReColor = True Then ' reset all - default colors
            ReColor = False
            RichTextBox1.SelectionStart = 0
            RichTextBox1.SelectionLength = RichTextBox1.TextLength
            RichTextBox1.SelectionColor = RichTextBox1.ForeColor
            RichTextBox1.SelectionBackColor = RichTextBox1.BackColor
        End If

        ' color words in RTB
        RTB_Color(RichTextBox1)

        ' restore SelectionStart/Length
        RichTextBox1.SelectionLength = 0
        RichTextBox1.SelectionStart = CurrentSelStart
        ' restore default colors
        RichTextBox1.SelectionColor = RichTextBox1.ForeColor
        RichTextBox1.SelectionBackColor = RichTextBox1.BackColor

        ' unlock/redraw RTB
        SendMessage(RichTextBox1.Handle, WM_SETREDRAW, 1, 0)
        RichTextBox1.Invalidate()


        WebBrowser1.DocumentText = RichTextBox1.Text
        If RichTextBox1.Text.Contains("<center></") Then
            RichTextBox1.Text = RichTextBox1.Text + "center>"
        End If
    End Sub

    Private Sub TabControl1_DrawItem(ByVal sender As Object, ByVal e As System.Windows.Forms.DrawItemEventArgs) Handles TabControl1.DrawItem
        'Firstly we'll define some parameters.
        Dim CurrentTab As TabPage = TabControl1.TabPages(e.Index)
        Dim ItemRect As Rectangle = TabControl1.GetTabRect(e.Index)
        Dim FillBrush As New SolidBrush(Color.Black)
        Dim TextBrush As New SolidBrush(Color.Black)
        Dim sf As New StringFormat
        sf.Alignment = StringAlignment.Center
        sf.LineAlignment = StringAlignment.Center

        'If we are currently painting the Selected TabItem we'll 
        'change the brush colors and inflate the rectangle.
        If CBool(e.State And DrawItemState.Selected) Then
            e.Graphics.DrawImage(My.Resources.pestaña1, ItemRect)
            FillBrush.Color = Color.Black
            TextBrush.Color = Color.Black
            ItemRect.Inflate(3, 2)
        Else
            e.Graphics.DrawImage(My.Resources.pestaña_atras, ItemRect)
            FillBrush.Color = Color.DimGray
            TextBrush.Color = Color.DimGray
            ItemRect.Inflate(1, 2)
        End If


        'Set up rotation for left and right aligned tabs
        If TabControl1.Alignment = TabAlignment.Left Or TabControl1.Alignment = TabAlignment.Right Then
            Dim RotateAngle As Single = 100
            If TabControl1.Alignment = TabAlignment.Left Then RotateAngle = 270
            Dim cp As New PointF(ItemRect.Left + (ItemRect.Width \ 2), ItemRect.Top + (ItemRect.Height \ 3))
            e.Graphics.TranslateTransform(cp.X, cp.Y)
            e.Graphics.RotateTransform(RotateAngle)
            ItemRect = New Rectangle(-(ItemRect.Height \ 3), -(ItemRect.Width \ 2), ItemRect.Height, ItemRect.Width)
        End If

        ' We draw in the TabRect rather than on e.Bounds

        ' so we can use TabRect later in MouseDown.
        Dim tab_rect As Rectangle = TabControl1.GetTabRect(e.Index)
        ' Allow room for margins.
        Dim layout_rect As New RectangleF( _
            tab_rect.Left + TAB_MARGIN, _
            tab_rect.Y + TAB_MARGIN, _
            tab_rect.Width - 3 * TAB_MARGIN, _
            tab_rect.Height - 3 * TAB_MARGIN)
        Dim string_format As New StringFormat


        'Next we'll paint the TabItem with our Fill Brush
        If CBool(e.State And DrawItemState.Selected) Then
            e.Graphics.DrawImage(My.Resources.pestaña1, ItemRect)
            FillBrush.Color = Color.Black
            TextBrush.Color = Color.Black
            ItemRect.Inflate(3, 1)
        Else
            e.Graphics.DrawImage(My.Resources.pestaña_atras, ItemRect)
            FillBrush.Color = Color.DimGray
            TextBrush.Color = Color.DimGray
            ItemRect.Inflate(1, 3)
        End If

        ' Draw the tab's text centered.
        Dim big_font As New Font(Me.Font, FontStyle.Regular)
        string_format.Alignment = StringAlignment.Center

        e.Graphics.DrawString( _
            TabControl1.TabPages(e.Index).Text, _
            big_font, _
            FillBrush, _
            layout_rect, _
            string_format)

        'draw close button
        e.Graphics.DrawImage(My.Resources.cerrar4, layout_rect.Right - m_Xwid - 10, layout_rect.Top + m_Xwid - 8, 15, 15)

        'Reset any Graphics rotation
        e.Graphics.ResetTransform()


        'Finally, we should Dispose of our brushes.
        FillBrush.Dispose()
        TextBrush.Dispose()

    End Sub

    Private Sub SeleccionarTodoToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SeleccionarTodoToolStripMenuItem.Click
        RichTextBox1.SelectAll()
    End Sub

    Private Sub BorrarTodoToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BorrarTodoToolStripMenuItem.Click
        RichTextBox1.Clear()
    End Sub

    Private Sub CopiarToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CopiarToolStripMenuItem.Click
        RichTextBox1.Copy()
    End Sub

    Private Sub CortarToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CortarToolStripMenuItem.Click
        RichTextBox1.Cut()
    End Sub

    Private Sub PegarToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PegarToolStripMenuItem.Click
        RichTextBox1.Paste()
    End Sub

    Private Sub RichTextBox3_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RichTextBox3.TextChanged
        ' save Selection Start
        Dim CurrentSelStart2 As Integer = RichTextBox2.SelectionStart

        ' lock RTB drawing (no flicker while coloring!)
        Call SendMessage(RichTextBox2.Handle, WM_SETREDRAW, 0, 0)

        If ReColor = True Then ' reset all - default colors
            ReColor = False
            RichTextBox2.SelectionStart = 0
            RichTextBox2.SelectionLength = RichTextBox2.TextLength
            RichTextBox2.SelectionColor = RichTextBox2.ForeColor
            RichTextBox2.SelectionBackColor = RichTextBox2.BackColor
        End If

        ' color words in RTB
        RTB_Color(RichTextBox2)

        ' restore SelectionStart/Length
        RichTextBox2.SelectionLength = 0
        RichTextBox2.SelectionStart = CurrentSelStart2
        ' restore default colors
        RichTextBox2.SelectionColor = RichTextBox2.ForeColor
        RichTextBox2.SelectionBackColor = RichTextBox2.BackColor

        ' unlock/redraw RTB
        SendMessage(RichTextBox2.Handle, WM_SETREDRAW, 1, 0)
        RichTextBox2.Invalidate()
    End Sub

    Private Sub ToolStripButton2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton2.Click
        SplitContainer1.SendToBack()
        RichTextBox1.BringToFront()
    End Sub

    Private Sub ToolStripButton3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton3.Click
        RichTextBox1.SendToBack()
        SplitContainer1.BringToFront()
    End Sub

    Private Sub ToolStripButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton1.Click
        If TabPage1.Focus = True Then
            RichTextBox1.Clear()
        End If
        If TabPage2.Focus = True Then
            RichTextBox3.Clear()
        End If
    End Sub

    Private Sub ToolStripTextBox2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripTextBox2.Click
        Me.Text = "Creative web design - " + ToolStripTextBox2.Text
    End Sub

    Private Sub ToolStripTextBox2_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles ToolStripTextBox2.TextChanged
        Me.Text = "Creative web design - " + ToolStripTextBox2.Text
    End Sub
End Class
